Opsæt Vim til at arbejde med R og Sweave i Windows

Indlæg af Hanne Mølgaard Plasc

Problem



Jeg har installeret VIM i Windows og vil gerne konfigurere det, så jeg kan sende kode til R. Jeg vil også bruge Sweave med det. Jeg har dog Googled og har ikke fundet klare trinvise instruktioner om, hvordan du konfigurerer dette.


mine forsøg indtil videre:



  1. installeret Vim ved hjælp af eksekverbar fra ftp://ftp.vim.org/pub/vim/pc/gvim73\_46.exe

  2. downloadet R-plugin fra https://github.com/jcfaria/Vim-R-plugin/zipball/master og hentede den til en mappe på min pc. Følgende instruktioner i filen r-plugin.txt installerede jeg python-3.2.msi og pywin32-216.1.win32-py3.2exe. Jeg hentede plugin zip-filen til C: \ Program Files (x86) \ Vim \ vimfiles \ fusion af samme navngivne mapper sammen. så åbnede jeg Vim og skrev: hjælptags C: \ Programmer (x86) \ Vim \ vimfiles \ doc. Jeg lukkede Vim, da jeg startede R og genåbnede Vim. Jeg skrev: Ny anewfile.R og fik fejlmeddelelsen




  'Python-grænsefladen skal være aktiveret til at køre Vim-R-plugin. Vær venlig at gøre': h r-plugin-installationsoplysninger ftp://ftp.vim.org/pub/vim/pc/gvim73\_46.exe [3]



og når jeg skriver dette får jeg



  error149, ingen hjælp til r-plugin-installation



Jeg så også ikke de knapper, der sender kode til R.


Jeg undlod at forstå instruktionen om at 'du må muligvis
juster værdien af ​​| vimrplugin\_sleeptime |. '


Hvad skal jeg gøre?
-Jeg har allerede Miktex 2.9 på min pc. vil Vim se det? Hvordan opretter jeg Vim for at se Latex?
Vil sætte pris på enhver hjælp.


Bemærk: Jeg har brugt rstudio med Sweave og også formørkelse, men der er nogle problemer, jeg har brug for at løse og dermed nødt til at prøve vim og se, hvordan det vil fungere.

Bedste reference


Jeg antager, at denne løsning ikke tilfredsstiller dig helt, men Rstudio IDE har en grundlæggende VIm-redigeringstilstand: Global option> Kode redigering> Aktivér vim-redigeringstilstand.

Andre referencer 1


Jeg tror, ​​at Windows-binærerne i Vim 7.3 kræver Python 2.7 eller 3.1. Du kan tjekke de oplysninger, du får via :version; Den tilknyttede Python-version er et eller andet sted i den.


Så min løsning ville installere Python 2.7 (+ pywin32 for python 2.7). Kontroller også, om Python arbejder i Vim, før du forsøger at bruge R-plugin'en.